import { NavPageLink } from "./NavPageLink.mjs"
import { logout, isLoggedIn } from "../../account.mjs"

const hasQueryParam = (param, path) => param in m.parsePathname(path).params

export const Nav = {
    view() {
        return m("nav.box", [
            m("div.small", [
                m(
                    "section.left",
                    m("ul", [
                        m(
                            "li",
                            m(
                                "a",
                                { href: "#navigation", title: "Navigation" },
                                m("i.fa-solid.fa-bars"),
                            ),
                        ),
                    ]),
                ),
            ]),
            m("div.full#navigation", [
                m(
                    "section.left",
                    m("ul", [
                        m("li", m(NavPageLink, { href: "/", label: "Start" })),
                        m(
                            "li",
                            m(NavPageLink, {
                                href: "/fachschaftssitzung",
                                label: "Fachschaftssitzung",
                            }),
                        ),
                        m(
                            "li",
                            m(NavPageLink, {
                                href: "/fs-services",
                                label: "FS-Dienste",
                            }),
                        ),
                        m(
                            "li",
                            m(NavPageLink, {
                                href: "/uni-services",
                                label: "Uni-Dienste",
                            }),
                        ),
                    ]),
                ),
                m(
                    "section.right",
                    m("ul", [
                        m(
                            "li",
                            isLoggedIn()
                                ? m(NavPageLink, {
                                      href: `/me`,
                                      label: "Mein Account",
                                      icon: "fa-regular fa-user",
                                      iconOnly: true,
                                  })
                                : m(NavPageLink, {
                                      href: hasQueryParam("next", m.route.get())
                                          ? m.route.get()
                                          : `/login?next=${m.route.get() || "/"}`,
                                      label: " Anmelden",
                                      icon: "fa-solid fa-right-to-bracket",
                                  }),
                        ),
                    ]),
                ),
            ]),
        ])
    },
}
