import { AccountRequired } from "./AccountRequired.mjs"
import { BoxedButton } from "./BoxedButton.mjs"
import { PasswordInVault } from "./PasswordInVault.mjs"
import { UnlockRequired } from "./UnlockRequired.mjs"

export const ServiceLink = {
    view(vnode) {
        return [
            m("div.service", [
                m(BoxedButton, {
                    ...vnode.attrs,
                    sameTab: !vnode.attrs.external,
                }),
                vnode.attrs.account &&
                    m(AccountRequired, { accountType: vnode.attrs.account }),
                vnode.attrs.unlockRequired && m(UnlockRequired),
                vnode.attrs.passwordInVault && m(PasswordInVault),
            ]),
        ]
    },
}
